Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.resources
Interface MutableResourceTable

All Superinterfaces:
  ResourceTable

All Known Implementing Classes:
  ResourceTableImpl

    public interface MutableResourceTable

extends ResourceTable

Method Summary
`void` | `addConfigurationComponent(ConfigurationContext context, ConfigurationComponent component)`
`void` | `addServiceComponent(ConfigurationContext context, ServiceComponent component, java.lang.String uri)`
`void` | `createIocContainer(MutableNameTable nameTable, MutableIocContainer container)`
`void` | `printDiagnostics(java.io.PrintStream printStream, NameTable nameTable)`
`void` | `setApplicationComponent(ConfigurationContext context, ServiceComponent component)`

Methods inherited from interface com.servingxml.ioc.resources.ResourceTable
`lookupConfigurationComponent, lookupServiceComponent`

Method Detail

### addServiceComponent

    void addServiceComponent(ConfigurationContext context,
                             ServiceComponent component,
                             java.lang.String uri)

### setApplicationComponent

    void setApplicationComponent(ConfigurationContext context,
                                 ServiceComponent component)

### addConfigurationComponent

    void addConfigurationComponent(ConfigurationContext context,
                                   ConfigurationComponent component)

### printDiagnostics

    void printDiagnostics(java.io.PrintStream printStream,
                          NameTable nameTable)

### createIocContainer

    void createIocContainer(MutableNameTable nameTable,
                            MutableIocContainer container)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD